
QGIS Application - Bug report #8765

Postgis raster shows random data with out-db image data

2013-10-03 11:10 PM - asdf asdf

Status: Closed

Priority: High

Assignee:

Category: DB Manager

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 17471

Description

Out-db rasters from postgis database are shown as random data and sometimes crashes QGIS.

The problem might come from the way the database is queried.

Query made by QGIS taken from the server:

SELECT st_band(rast, 3), st_width(rast), st_height(rast), ....

As far as I have tested "st_band" in queries return data as out-db referenced rasters and contain no pixel data. 

If there are no modification to the data like st_union or something like that, rasters stays as file references, which obviously cannot be

used by the client over the network.

Related issues:

Duplicates QGIS Application - Bug report # 8628: DB Manager does not load Pos... Closed 2013-09-18

History

#1 - 2013-10-03 11:42 PM - asdf asdf

Forgot to add details of the used version.

QGIS version    2.0.1-Dufour    

QGIS code revision    d94c044

Compiled against Qt    4.8.5    

Running against Qt    4.8.5

Compiled against GDAL/OGR    1.10.0    

Running against GDAL/OGR    1.10.1

Compiled against GEOS    3.4.2-CAPI-1.8.2    

Running against GEOS    3.4.2-CAPI-1.8.2 r3921

PostgreSQL Client Version    9.2.4    

SpatiaLite Version    4.1.1

QWT Version    5.2.3    

PROJ.4 Version    480

QScintilla2 Version    2.7.2

#2 - 2014-02-07 05:54 AM - Giovanni Manghi

- Priority changed from Normal to High

#3 - 2014-02-07 06:09 AM - Giovanni Manghi

- Status changed from Open to Feedback
should be duplicate of #8628

#4 - 2014-02-08 02:43 AM - Jürgen Fischer

- Category changed from Browser to DB Manager

#5 - 2014-02-26 01:42 AM - asdf asdf

I'm not sure if this is duplicate of the #8628, this might actually be a just problem created by me by creating overviews manually as I have overviews for

other use and didn't want to duplicate static raster data indb.

As a consequence of this self made overviews rasters are not indb and the overview query will fail as it relies that the data is always indb.

Anyways the question is should the overview query always expect indb data or not.

#6 - 2014-03-01 03:57 AM - Giovanni Manghi

Anyways the question is should the overview query always expect indb data or not.

better ask this in the developers mailing list and eventually close this as invalid.

#7 - 2014-06-23 05:26 AM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Feedback to Closed
